summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-misc/g15daemon/files/99-g15daemon.rules1
-rw-r--r--app-misc/g15daemon/files/g15daemon-9999-forgotten-open-mode.patch11
-rw-r--r--app-misc/g15daemon/files/g15daemon-hotplug13
-rw-r--r--app-misc/g15daemon/files/g15daemon.conf27
-rw-r--r--app-misc/g15daemon/files/g15daemon.confd9
-rw-r--r--app-misc/g15daemon/files/g15daemon.initd41
-rw-r--r--app-misc/g15daemon/g15daemon-9999.ebuild158
-rw-r--r--app-misc/g15macro/g15macro-9999.ebuild35
-rw-r--r--dev-libs/libg15/libg15-9999.ebuild35
-rw-r--r--dev-libs/libg15render/libg15render-9999.ebuild43
-rw-r--r--games-sports/xmoto/Manifest2
11 files changed, 375 insertions, 0 deletions
diff --git a/app-misc/g15daemon/files/99-g15daemon.rules b/app-misc/g15daemon/files/99-g15daemon.rules
new file mode 100644
index 0000000..d491d68
--- /dev/null
+++ b/app-misc/g15daemon/files/99-g15daemon.rules
@@ -0,0 +1 @@
+SUBSYSTEM=="usb", ATTR{product}=="G15 Gaming Keyboard", RUN+="/usr/bin/g15daemon-hotplug"
diff --git a/app-misc/g15daemon/files/g15daemon-9999-forgotten-open-mode.patch b/app-misc/g15daemon/files/g15daemon-9999-forgotten-open-mode.patch
new file mode 100644
index 0000000..b475f1d
--- /dev/null
+++ b/app-misc/g15daemon/files/g15daemon-9999-forgotten-open-mode.patch
@@ -0,0 +1,11 @@
+--- ./g15daemon-1.9.5.3/g15daemon/utility_funcs.c 2008-01-26 06:02:07.000000000 +0100
++++ ./g15daemon-1.9.5.3/g15daemon/utility_funcs.c 2009-02-01 17:00:55.203009264 +0100
+@@ -356,7 +356,7 @@
+ config_items_t * item=NULL;
+ char line[1024];
+
+- config_fd = open(filename,O_CREAT|O_RDWR|O_TRUNC);
++ config_fd = open(filename,O_CREAT|O_RDWR|O_TRUNC,0664);
+ if(config_fd){
+ snprintf(line,1024,"# G15Daemon Configuration File\n# any items entered before a [section] header\n# will be in the Global config space\n# comments you wish to keep should start with a semicolon';'\n");
+ write(config_fd,line,strlen(line));
diff --git a/app-misc/g15daemon/files/g15daemon-hotplug b/app-misc/g15daemon/files/g15daemon-hotplug
new file mode 100644
index 0000000..1e20761
--- /dev/null
+++ b/app-misc/g15daemon/files/g15daemon-hotplug
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+case "$ACTION" in
+ "add")
+ /etc/init.d/g15daemon restart
+ ;;
+ "remove")
+ /etc/init.d/g15daemon stop
+ ;;
+ *)
+ exit 0
+ ;;
+esac
diff --git a/app-misc/g15daemon/files/g15daemon.conf b/app-misc/g15daemon/files/g15daemon.conf
new file mode 100644
index 0000000..2d2bfc3
--- /dev/null
+++ b/app-misc/g15daemon/files/g15daemon.conf
@@ -0,0 +1,27 @@
+# G15Daemon Configuration File
+# any items entered before a [section] header
+# will be in the Global config space
+# comments you wish to keep should start with a semicolon';'
+
+[Global]
+Use MR as Cycle Key: Off
+
+[PLUGIN_LOAD_ORDER]
+0: g15plugin_uinput.so
+1: g15plugin_clock.so
+2: g15plugin_tcpserver.so
+TotalPlugins: 3
+
+[PLUGINS]
+Linux UINPUT Keyboard Output: Load
+Clock: Load
+LCDServer: Load
+
+[Keyboard OS Mapping (uinput)]
+device: /dev/input/uinput
+Lkeys.mapped: 0
+
+[Clock]
+24hrFormat: On
+ShowDate: Off
+Digital: On
diff --git a/app-misc/g15daemon/files/g15daemon.confd b/app-misc/g15daemon/files/g15daemon.confd
new file mode 100644
index 0000000..08ea97f
--- /dev/null
+++ b/app-misc/g15daemon/files/g15daemon.confd
@@ -0,0 +1,9 @@
+# /etc/conf.d/g15daemon: Configuration for the g15daemon
+
+# Key to switch the client-screens. Default is the MR key,
+# Set to "yes" to use L1 key instead (black round key below the LCD, above the multimedia keys).
+CLIENT_SWITCH_L1="no"
+
+# Set to "yes" to switch off the lcd backlight when stopping g15daemon.
+BACKLIGHT_OFF="no"
+
diff --git a/app-misc/g15daemon/files/g15daemon.initd b/app-misc/g15daemon/files/g15daemon.initd
new file mode 100644
index 0000000..b8e8cd6
--- /dev/null
+++ b/app-misc/g15daemon/files/g15daemon.initd
@@ -0,0 +1,41 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/g15daemon/files/g15daemon-1.2.7-r2.initd,v 1.1 2007/12/19 17:38:30 chainsaw Exp $
+
+# Init script for g15daemon
+
+depend() {
+ after hotplug
+ after usb
+ after modules
+}
+
+start() {
+ ebegin "Starting g15daemon"
+
+ # Does the input device already exist?
+ if [ -e /proc/modules -a ! -e /dev/input/uinput ]; then
+ # We can load modules, but uinput device does not exist
+ einfo "Loading uinput module"
+ /sbin/modprobe uinput > /dev/null 2> /dev/null
+ fi
+
+ local SWITCHKEY=""
+ [ "${CLIENT_SWITCH_L1}" = "yes" ] && SWITCHKEY="--switch"
+ start-stop-daemon --start --background --pidfile /var/run/g15daemon.pid \
+ --exec /usr/sbin/g15daemon -- ${SWITCHKEY}
+ eend $? "Failed to start g15daemon."
+}
+
+stop() {
+ ebegin "Stopping g15daemon"
+ local KILLOPT="-k"
+ if [ $BACKLIGHT_OFF = "yes" ]; then
+ KILLOPT="-K"
+ fi
+ /usr/sbin/g15daemon ${KILLOPT} &>/dev/null
+ sleep 1
+ start-stop-daemon -R 5 --stop --quiet --pidfile /var/run/g15daemon.pid
+ eend $?
+}
diff --git a/app-misc/g15daemon/g15daemon-9999.ebuild b/app-misc/g15daemon/g15daemon-9999.ebuild
new file mode 100644
index 0000000..4b585c1
--- /dev/null
+++ b/app-misc/g15daemon/g15daemon-9999.ebuild
@@ -0,0 +1,158 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/g15daemon/g15daemon-1.9.5.3-r3.ebuild,v 1.6 2010/05/29 21:11:59 arfrever Exp $
+
+EAPI=2
+
+inherit eutils linux-info perl-module python multilib base subversion autotools
+
+DESCRIPTION="G15daemon takes control of the G15 keyboard, through the linux kernel uinput device driver"
+HOMEPAGE="http://g15daemon.sourceforge.net/"
+ESVN_REPO_URI="https://g15daemon.svn.sourceforge.net/svnroot/g15daemon/trunk/g15daemon-wip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 x86"
+IUSE="perl python"
+
+DEPEND="=virtual/libusb-0*
+ >=dev-libs/libg15-1.2.4
+ >=dev-libs/libg15render-1.2
+ perl? ( >=dev-perl/Inline-0.4 )
+ python? ( dev-lang/python )"
+
+RDEPEND="${DEPEND}
+ perl? ( dev-perl/GDGraph )"
+
+uinput_check() {
+ ebegin "Checking for uinput support"
+ local rc=1
+ linux_config_exists && linux_chkconfig_present INPUT_UINPUT
+ rc=$?
+
+ if [[ $rc -ne 0 ]] ; then
+ eerror "To use g15daemon, you need to compile your kernel with uinput support."
+ eerror "Please enable uinput support in your kernel config, found at:"
+ eerror
+ eerror "Device Drivers -> Input Device ... -> Miscellaneous devices -> User level driver support."
+ eerror
+ eerror "Once enabled, you should have the /dev/input/uinput device."
+ eerror "g15daemon will not work without the uinput device."
+ fi
+}
+
+pkg_setup() {
+ linux-info_pkg_setup
+ uinput_check
+}
+
+src_unpack() {
+ subversion_src_unpack
+ if use perl; then
+ unpack "./lang-bindings/perl-G15Daemon-0.2.tar.gz"
+ fi
+ if use python; then
+ unpack "./lang-bindings/pyg15daemon-0.0.tar.bz2"
+ fi
+}
+
+src_prepare() {
+ if use perl; then
+ perl-module_src_prepare
+ sed -i \
+ -e '1i#!/usr/bin/perl' \
+ "${S}"/contrib/testbindings.pl
+ else
+ # perl-module_src_prepare always calls base_src_prepare
+ base_src_prepare
+ fi
+}
+
+src_configure() {
+ eautoreconf
+ econf
+ emake || die "make failed"
+
+ if use perl; then
+ cd "${WORKDIR}/g15daemon-9999/G15Daemon-0.2"
+ perl-module_src_configure
+ fi
+}
+
+src_compile() {
+ base_src_compile
+
+ if use perl; then
+ cd "${WORKDIR}/G15Daemon-0.2"
+ perl-module_src_compile
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" \
+ docdir=/usr/share/doc/${PF} install || die "make install failed"
+
+ # remove odd docs installed my make
+ rm "${D}/usr/share/doc/${PF}/"{LICENSE,README.usage}
+
+ insinto /usr/share/${PN}/contrib
+ doins contrib/xmodmaprc
+ doins contrib/xmodmap.sh
+ if use perl; then
+ doins contrib/testbindings.pl
+ fi
+
+ newconfd "${FILESDIR}/${PN}.confd" ${PN}
+ newinitd "${FILESDIR}/${PN}.initd" ${PN}
+ dobin "${FILESDIR}/g15daemon-hotplug"
+ insinto /etc/udev/rules.d
+ doins "${FILESDIR}/99-g15daemon.rules"
+
+ insinto /etc
+ doins "${FILESDIR}"/g15daemon.conf
+
+ if use perl; then
+ ebegin "Installing Perl Bindings (G15Daemon.pm)"
+ cd "${WORKDIR}/g15daemon-9999/G15Daemon-0.2"
+ docinto perl
+ perl-module_src_install
+ fi
+
+ if use python; then
+ ebegin "Installing Python Bindings (g15daemon.py)"
+ cd "${WORKDIR}/g15daemon-9999/pyg15daemon"
+
+ insinto $(python_get_sitedir)/g15daemon
+ doins g15daemon.py
+
+ docinto python
+ dodoc AUTHORS
+ fi
+}
+
+pkg_postinst() {
+ if use python; then
+ python_mod_optimize $(python_get_sitedir)/g15daemon
+ echo ""
+ fi
+
+ elog "To use g15daemon, you need to add g15daemon to the default runlevel."
+ elog "This can be done with:"
+ elog "# /sbin/rc-update add g15daemon default"
+ elog "You can edit some g15daemon options at /etc/conf.d/g15daemon"
+ elog ""
+ elog "To have all new keys working in X11, you'll need create a "
+ elog "specific xmodmap in your home directory or edit the existent one."
+ elog ""
+ elog "Create the xmodmap:"
+ elog "cp /usr/share/g15daemon/contrib/xmodmaprc ~/.Xmodmap"
+ elog ""
+ elog "Adding keycodes to an existing xmodmap:"
+ elog "cat /usr/share/g15daemon/contrib/xmodmaprc >> ~/.Xmodmap"
+}
+
+pkg_postrm() {
+ if use python; then
+ python_mod_cleanup $(python_get_sitedir)/g15daemon
+ fi
+}
diff --git a/app-misc/g15macro/g15macro-9999.ebuild b/app-misc/g15macro/g15macro-9999.ebuild
new file mode 100644
index 0000000..294c9d6
--- /dev/null
+++ b/app-misc/g15macro/g15macro-9999.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/g15macro/g15macro-1.0.3.ebuild,v 1.1 2008/09/13 22:35:35 robbat2 Exp $
+
+inherit subversion autotools
+
+DESCRIPTION="Macro recording plugin to G15daemon"
+HOMEPAGE="http://g15daemon.sourceforge.net/"
+
+ESVN_REPO_URI="https://g15daemon.svn.sourceforge.net/svnroot/g15daemon/trunk/g15daemon-clients/g15macro/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+DEPEND=">=app-misc/g15daemon-1.9.0
+ dev-libs/libg15
+ dev-libs/libg15render
+ x11-libs/libX11
+ x11-proto/xextproto
+ x11-proto/xproto
+ x11-libs/libXtst"
+
+RDEPEND="${DEPEND}
+ sys-libs/zlib"
+
+src_install() {
+ eautoreconf
+ econf
+ emake DESTDIR="${D}" install || die "make install failed"
+ rm "${D}"/usr/share/doc/${P}/{COPYING,NEWS}
+
+ prepalldocs
+}
diff --git a/dev-libs/libg15/libg15-9999.ebuild b/dev-libs/libg15/libg15-9999.ebuild
new file mode 100644
index 0000000..6b15a77
--- /dev/null
+++ b/dev-libs/libg15/libg15-9999.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libg15/libg15-1.2.7.ebuild,v 1.4 2010/03/09 21:52:36 josejx Exp $
+
+inherit subversion autotools
+
+DESCRIPTION="The libg15 library gives low-level access to the Logitech G15 keyboard"
+HOMEPAGE="http://g15tools.sourceforge.net/"
+ESVN_REPO_URI="https://g15tools.svn.sourceforge.net/svnroot/g15tools/trunk/libg15"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 x86"
+IUSE=""
+
+src_unpack() {
+ subversion_src_unpack
+}
+
+
+DEPEND="=virtual/libusb-0*"
+RDEPEND=${DEPEND}
+
+src_compile() {
+ eautoreconf
+ econf
+ emake DESTDIR="${D}" install || die "make install failed"
+}
+
+src_install() {
+ dolib .libs/*
+ insinto /usr/include
+ doins libg15
+ dodoc AUTHORS README ChangeLog
+}
diff --git a/dev-libs/libg15render/libg15render-9999.ebuild b/dev-libs/libg15render/libg15render-9999.ebuild
new file mode 100644
index 0000000..de5ad19
--- /dev/null
+++ b/dev-libs/libg15render/libg15render-9999.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libg15render/libg15render-1.2-r1.ebuild,v 1.6 2007/05/01 10:33:05 corsair Exp $
+
+inherit eutils subversion autotools
+
+DESCRIPTION="Small library for display text and graphics on a Logitech G15 keyboard"
+HOMEPAGE="http://g15tools.sourceforge.net/"
+
+ESVN_REPO_URI="https://g15tools.svn.sourceforge.net/svnroot/g15tools/trunk/libg15render"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 x86"
+
+IUSE="truetype"
+
+DEPEND="dev-libs/libg15
+ truetype? ( media-libs/freetype )"
+
+RDEPEND=${DEPEND}
+
+src_unpack() {
+ subversion_src_unpack
+ cd "${S}"
+}
+
+src_compile() {
+ eautoreconf
+ econf \
+ $(use_enable truetype ttf ) \
+ || die "configure failed"
+
+ emake || die "make failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" \
+ docdir=/usr/share/doc/${PF} install || die "make install failed"
+ rm "${D}/usr/share/doc/${PF}/COPYING"
+
+ prepalldocs
+}
diff --git a/games-sports/xmoto/Manifest b/games-sports/xmoto/Manifest
new file mode 100644
index 0000000..c266bb6
--- /dev/null
+++ b/games-sports/xmoto/Manifest
@@ -0,0 +1,2 @@
+AUX xmoto_libpng-1.4.patch 388 RMD160 9343f3fcff9dedd1ac2d69db022ac7375c1875af SHA1 19fbcbf7c641180af783ede65ced58a97124108f SHA256 f7cb750535263b1a828bfe8762fa0fcc9a0d4c5b1add6027c5df5f2c4f3270d2
+EBUILD xmoto-9999.ebuild 3112 RMD160 4ff604fb4d8f3422187f8819241b06577b23c160 SHA1 32526f423a5d4baa082eed7e556f6b833fa3a0b4 SHA256 b17796a3077a725cfb2fc00cf2789ee1a87015221063007a0da8e8b02683d128